Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.replication.manager.testing
Class ReplicationManagerRegrTest.TestReplicationManagerClient

    java.lang.Object
      rice.p2p.replication.manager.testing.ReplicationManagerRegrTest.TestReplicationManagerClient

All Implemented Interfaces:
  ReplicationManagerClient

Enclosing class:
  ReplicationManagerRegrTest

protected class ReplicationManagerRegrTest.TestReplicationManagerClient
extends java.lang.Object
implements ReplicationManagerClient

DESCRIBE THE CLASS

Version:
  $Id: ReplicationManagerRegrTest.java 2844 2005-12-15 13:07:05Z jeffh $
Author:
  amislove

Field Summary
`Node` | `node` DESCRIBE THE FIELD
`IdSet` | `set` DESCRIBE THE FIELD

Constructor Summary
`ReplicationManagerRegrTest.TestReplicationManagerClient(Node node)` Constructor for TestReplicationManagerClient.

Method Summary
`boolean` | `exists(Id id)` DESCRIBE THE METHOD
`void` | `existsInOverlay(Id id, Continuation command)` DESCRIBE THE METHOD
`void` | `fetch(Id id, NodeHandle hint, Continuation command)` DESCRIBE THE METHOD
`void` | `insert(Id id)` DESCRIBE THE METHOD
`void` | `reInsert(Id id, Continuation command)` DESCRIBE THE METHOD
`void` | `remove(Id id, Continuation command)` DESCRIBE THE METHOD
`IdSet` | `scan(IdRange range)` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### node

    public Node node

  DESCRIBE THE FIELD

### set

    public IdSet set

  DESCRIBE THE FIELD

Constructor Detail

### ReplicationManagerRegrTest.TestReplicationManagerClient

    public ReplicationManagerRegrTest.TestReplicationManagerClient(Node node)

  Constructor for TestReplicationManagerClient.

Parameters:
  `node` - DESCRIBE THE PARAMETER

Method Detail

### fetch

    public void fetch(Id id,
                      NodeHandle hint,
                      Continuation command)

  DESCRIBE THE METHOD

  Specified by:
    `fetch` in interface `ReplicationManagerClient`
  Parameters:
    `id` - DESCRIBE THE PARAMETER
    `hint` - DESCRIBE THE PARAMETER
    `command` - DESCRIBE THE PARAMETER

### remove

    public void remove(Id id,
                       Continuation command)

  DESCRIBE THE METHOD

  Specified by:
    `remove` in interface `ReplicationManagerClient`
  Parameters:
    `id` - DESCRIBE THE PARAMETER
    `command` - DESCRIBE THE PARAMETER

### scan

    public IdSet scan(IdRange range)

  DESCRIBE THE METHOD

  Specified by:
    `scan` in interface `ReplicationManagerClient`
  Parameters:
    `range` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### insert

    public void insert(Id id)

  DESCRIBE THE METHOD

  Parameters:
    `id` - DESCRIBE THE PARAMETER

### exists

    public boolean exists(Id id)

  DESCRIBE THE METHOD

  Specified by:
    `exists` in interface `ReplicationManagerClient`
  Parameters:
    `id` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### existsInOverlay

    public void existsInOverlay(Id id,
                                Continuation command)

  DESCRIBE THE METHOD

  Specified by:
    `existsInOverlay` in interface `ReplicationManagerClient`
  Parameters:
    `id` - DESCRIBE THE PARAMETER
    `command` - DESCRIBE THE PARAMETER

### reInsert

    public void reInsert(Id id,
                         Continuation command)

  DESCRIBE THE METHOD

  Specified by:
    `reInsert` in interface `ReplicationManagerClient`
  Parameters:
    `id` - DESCRIBE THE PARAMETER
    `command` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.